Skip to main content
GET
/
projects
/
{project_reference}
/
work
/
{work_id}
/
executions
List Work executions
curl --request GET \
  --url https://api.veryfront.com/projects/{project_reference}/work/{work_id}/executions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "work_id": "<string>",
      "work_name": "<string>",
      "work_outcome": "<string>",
      "work_source_path": "<string>",
      "work_definition_hash": "<string>",
      "input": {},
      "state": {},
      "summary": "<string>",
      "agent_id": "<string>",
      "schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "canonical_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "root_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "root_conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "<string>",
      "updated_at": "<string>",
      "started_at": "<string>",
      "completed_at": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required
work_id
string
required

Work identifier

Minimum string length: 1
Pattern: ^[A-Za-z0-9][A-Za-z0-9_-]*$

Query Parameters

limit
integer
Required range: 0 < x <= 100

Response

200 - application/json

Work executions

data
object[]
required